CREATE TABLE cmf_ap_invoices_gt (
    INVOICE_ID                     NUMBER(18, 0) ,
    INVOICE_NUM                    VARCHAR2(200) ,
    FISCAL_DOC_HEADER_ID           NUMBER(18, 0)     NOT NULL,
    FISCAL_DOC_ACCESS_KEY          VARCHAR2(256) ,
    REF_FISCAL_DOC_HEADER_ID       NUMBER(18, 0) ,
    INVOICE_TYPE_LOOKUP_CODE       VARCHAR2(100) ,
    INVOICE_DATE                   DATE          ,
    VENDOR_ID                      NUMBER(18, 0) ,
    VENDOR_LOCATION_ID             NUMBER(18, 0) ,
    VENDOR_SITE_ID                 NUMBER(18, 0) ,
    VENDOR_TAXPAYER_ID             NUMBER(18, 0) ,
    INVOICE_AMOUNT                 NUMBER        ,
    INVOICE_CURRENCY_CODE          VARCHAR2(60)  ,
    EXCHANGE_RATE                  NUMBER        ,
    EXCHANGE_RATE_TYPE             VARCHAR2(120) ,
    EXCHANGE_DATE                  DATE          ,
    SOURCE                         VARCHAR2(320) ,
    GROUP_ID                       VARCHAR2(320) ,
    GOODS_RECEIVED_DATE            DATE          ,
    INVOICE_RECEIVED_DATE          DATE          ,
    GL_DATE                        DATE          ,
    ORG_ID                         NUMBER(18, 0) ,
    SHIP_TO_LOCATION               VARCHAR2(160) ,
    LEGAL_ENTITY_ID                NUMBER(18, 0) ,
    EXTERNAL_DOC_REF               VARCHAR2(960) ,
    APPLICATION_ID                 NUMBER(18, 0) ,
    IMPORT_DOCUMENT_NUMBER         VARCHAR2(200) ,
    IMPORT_DOCUMENT_DATE           DATE          ,
    TAXATION_COUNTRY               VARCHAR2(120) ,
    CALC_TAX_DURING_IMPORT_FLAG    VARCHAR2(4)   ,
    ADD_TAX_TO_INV_AMT_FLAG        VARCHAR2(4)   ,
    INVOICE_IMPORT_STATUS          VARCHAR2(4)   ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    INVOICE_ID                     NUMBER(18, 0) ,
    INVOICE_NUM                    VARCHAR2(200) ,
    FISCAL_DOC_HEADER_ID           NUMBER(18, 0)     NOT NULL,
    FISCAL_DOC_ACCESS_KEY          VARCHAR2(256) ,
    REF_FISCAL_DOC_HEADER_ID       NUMBER(18, 0) ,
    INVOICE_TYPE_LOOKUP_CODE       VARCHAR2(100) ,
    INVOICE_DATE                   DATE          ,
    VENDOR_ID                      NUMBER(18, 0) ,
    VENDOR_LOCATION_ID             NUMBER(18, 0) ,
    VENDOR_SITE_ID                 NUMBER(18, 0) ,
    VENDOR_TAXPAYER_ID             NUMBER(18, 0) ,
    INVOICE_AMOUNT                 NUMBER        ,
    INVOICE_CURRENCY_CODE          VARCHAR2(60)  ,
    EXCHANGE_RATE                  NUMBER        ,
    EXCHANGE_RATE_TYPE             VARCHAR2(120) ,
    EXCHANGE_DATE                  DATE          ,
    SOURCE                         VARCHAR2(320) ,
    GROUP_ID                       VARCHAR2(320) ,
    GOODS_RECEIVED_DATE            DATE          ,
    INVOICE_RECEIVED_DATE          DATE          ,
    GL_DATE                        DATE          ,
    ORG_ID                         NUMBER(18, 0) ,
    SHIP_TO_LOCATION               VARCHAR2(160) ,
    LEGAL_ENTITY_ID                NUMBER(18, 0) ,
    EXTERNAL_DOC_REF               VARCHAR2(960) ,
    APPLICATION_ID                 NUMBER(18, 0) ,
    IMPORT_DOCUMENT_NUMBER         VARCHAR2(200) ,
    IMPORT_DOCUMENT_DATE           DATE          ,
    TAXATION_COUNTRY               VARCHAR2(120) ,
    CALC_TAX_DURING_IMPORT_FLAG    VARCHAR2(4)   ,
    ADD_TAX_TO_INV_AMT_FLAG        VARCHAR2(4)   ,
    INVOICE_IMPORT_STATUS          VARCHAR2(4)   ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CONSTRAINT pk_cmf_ap_invoices_gt PRIMARY KEY (INVOICE_ID, INVOICE_ID)
);
